Package org.apache.qpid.proton.codec

# Interface FastPathDescribedTypeConstructor<V>

Type Parameters:
  `V` - The type that this constructor handles

All Superinterfaces:
  `TypeConstructor<V>`

All Known Implementing Classes:
  `FastPathAcceptedType`, `FastPathAmqpSequenceType`, `FastPathAmqpValueType`, `FastPathApplicationPropertiesType`, `FastPathDataType`, `FastPathDeliveryAnnotationsType`, `FastPathDispositionType`, `FastPathFlowType`, `FastPathFooterType`, `FastPathHeaderType`, `FastPathMessageAnnotationsType`, `FastPathPropertiesType`, `FastPathTransferType`

public interface FastPathDescribedTypeConstructor<V> extends TypeConstructor<V>
Marker interface that indicates the TypeConstructor can decode known Proton-J types using a fast path read / write operation. These types may result in an encode that does not always write the smallest form of the given type to save time.

## Method Summary

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`